// GM Arts interface for TB-12 relays

#ifndef relays_h_
#define relays_h_

#include <avr/io.h>
#include <stdint.h>

// cannot assume DDR register is immediately prior to PORT register - see http://www.avrfreaks.net/forum/macros-ddr-and-port-pin-name
// so specify each relay ddr and port

// relay port/pins
#define RELAY_1_DDR   DDRF
#define RELAY_1_PORT  PORTF
#define RELAY_1_PIN   1

#define RELAY_2_DDR   DDRF
#define RELAY_2_PORT  PORTF
#define RELAY_2_PIN   0

#define RELAY_3_DDR   DDRE
#define RELAY_3_PORT  PORTE
#define RELAY_3_PIN   2

#define RELAY_4_DDR   DDRE
#define RELAY_4_PORT  PORTE
#define RELAY_4_PIN   4

typedef struct ioRelayRegs{
  volatile uint8_t* ddrReg_;
  volatile uint8_t* portReg_;
  uint8_t pin_;
}ioRelayRegs;

void InitRelays();
void SetRelay(uint8_t RelayIndex, uint8_t IsOn);

#endif // relays_h_